glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Manages events in the main context.
- Constructor
  2.12.0.0
  Create a new instance.
  This is the default constructor for .
- Property
  2.12.0.0
  System.Int32 Nesting level of the currently executing main loop. A count of main loop levels.
- Method
  2.12.0.0
  System.Boolean Runs a single iteration for the given main loop. an object of type This is a convenience overload for with passed in.
- Method
  2.12.0.0
  System.Boolean `` an object of type Runs a single iteration for the given main loop. an object of type This involves checking to see if any event sources are ready to be processed, then if no events sources are ready and is , waiting for a source to become ready, then dispatching the highest priority events sources that are ready. Note that even when is , it is still possible for g_main_context_iteration() to return , since the the wait may be interrupted for other reasons than an event source becoming ready.
- Method
  2.12.0.0
  System.Boolean Checks if any sources have pending events for the given context. an object of type